% GISSMO, de la version 1.3 à 1.5.2
% Olivier DOSSMANN
% 24 mai 2016

# Rappel

## Définition

GISSMO ou « Gestion Informatisée pour le Suivi des Sites et du Matériel sismOlogique »

> gizmo - A nonsensical placeholder name for something, generally a device, that one does not know the proper term for

Un bidule, un gadget

## Concrètement

Version 1.3 (sept. 2015)

  * gère du *matériel*
  * placé sur des *sites*
  * en y appliquant des *canaux*
  * tout en y faisant le suivi des *interventions*

## Écosystème

  * [gissmo.unistra.fr](https://gissmo.unistra.fr/) (https)
  * Code source sur [Github](https://github.com)
  * [hotline nommée Issues](https://github.com/eost/gissmo/issues)
  * Actuellement dépôt privé → demander Jérôme pour être ajouté(e)

# Version 1.4

## Préparation

  * Environnement de développement reproductible
  * Fichiers de migration
  * Tests
    * console
    * web
    * commit local
  * Changelog

## Lifting

  * Python 2.7 (juil. 2010) → 3.4 (mar. 2014)
  * Django 1.4 (mar. 2012)  → 1.8 (avr. 2015)
  * Code source
  * Nouveau thème
  * Suppression de vieilles dépendances
  * Vitesse (ex. 142s → 5s)
  * No comment

# Version 1.5

## Maintenance

  * Python 3.4 → 3.5.1 (déc. 2015)
  * Django 1.8 → 1.8.13 (mai 2016)

## Améliorations

  * Passage à l'anglais uniquement
  * Faciliter le travail du super utilisateur
    * *manufacturer*
    * bouton *close channels*
    * équipements interdits
    * intervenants → user + group
    * simulation *change model*

## Nouveautés

  * Nouveaux filtres, champs, etc.
  * IP et Services sur équipements réseau
  * Affichage à l'utilisateur de la version courante
  * API

## API

  * /api/
  * JSON
  * [scripts d'exemples](https://github.com/eost/gissmo/blob/dev/scripts/webservice_examples/)
  * howto

# Version 1.6 et suivantes

## Github

[Milestones](https://github.com/eost/gissmo/milestones) :

  * 1.6:
    * quelques corrections
    * saisie des canaux
    * lien avec la supervision
    * configuration par défaut des équipements
    * affiner quelques points techniques
  * …
  * 2.0 (BDD)
  * 2.1 (non définis)

# Version 2.0

## But

  * information répartie de façon à en faciliter la manipulation
  * API plus compréhensible (ex. Chain)
  * DEV plus facile
  * plusieurs interfaces

## Actuellement

  * en parallèle
  * simplification du schéma des données
  * Django 1.9
  * open source (CeCILL)

## À faire

  * logo
  * documentation en ligne (readthedoc)
  * automatisation des tests
  * interface web sur la 2.0

# Question
